  /**
 * @author Sommer, Koller, Stengel
 */
 
/* Screensize xs: */
/* General settings */
html {
	height: 100%;
	width: 100%;
	margin: 0px;
	padding: 0px;
	overflow: auto;
}
body {
	margin: 0px;
	padding: 0px;
	height: 100%;
	width: 100%;
	font-size: 62.5%;
	font-weight: normal;
	font-family: Arial, Verdana, Helvetica, sans-serif;
	overflow: hidden;
}
a {
	color: inherit;
	text-decoration: none;
}
a:hover {
	text-decoration: underline;
}
#NoScriptHint {
	font-size: 1.6em;
	font-weight: bold;
	padding: 6px;
	position: relative;
	top: 45%;
	text-align: center;
	z-index: 1002;
	color: #999;
}
/* :focus {
	outline: 0;
} */
/* ----------------------------------------------------------------------------------------------- */

/* title pane area */
#headerPane {
  height: 100px;
  min-height: 100px; 
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
  background-color: white;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  z-index: 10;
}

#viewDiv {
  height: calc(100% - 56px); /* Account for header height */
  width: 100%;
  position: absolute;
  top: 100px;                 /* Pushes it below the header */
  left: 0;
  overflow: hidden;
  z-index: 1;                 /* Below the header */
}

#headerPane > div {
  display: flex;
  align-items: center;
  width: 100%;
}

#logo_lwf {
  margin-right: auto; /* Pushes the logo to the left */
}

#title {
  width: 50%;
  display: flex;
  flex-grow: 1;
  font-size: 2.9em;
  font-weight: bold;
  color: #298d29;
  text-align: center;
  justify-content: center;
	vertical-align: middle;
}

#logo_lwf_gross, #logo_stmelf {
  margin-left: 10px; /* Adds space between the logos on the right */
}

#logo_lwf_gross img,
#logo_stmelf img {
  height: 80px;
}

#esriTextBox {
  position: absolute;
  top: 7px;
  left: 96px;
  width: 250px;
  padding: 10px;
  font-size: 12px;
  background-color: white;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
  z-index: 100;
  display: block; /* Default visible */
}

a {
  text-decoration: underline;
		color: #338233;
}

/* map pane area */

#map {
	height: 100%;
	width: 100%;
	margin: 0px;
	padding: 0px;
	overflow: hidden;
	z-index: 40;
}

/* map controls, left and right */
.customButtons,
.LocateButton .zoomLocateButton {  /* "esri/dijit/LocateButton" */
	background-color: #298d29;
	display: table;
	height: 30px;
	width: 30px;
	margin: 2px 2px 0px 4px;/*!important;*/
	z-index: 51;
	color: #fff;
	text-align: center;
	font-size: 2.4em;
	font-weight: bold;
	border: 1px solid #6c6c6c;
	border-radius: 4px;
	cursor: pointer;
	-moz-user-select: none;
	user-select: none;
}
.customButtons:hover,
.LocateButton .zoomLocateButton:hover {
    box-shadow: 0px 0px 10px #fff;
}
.customButtons.disabled {
	background-color: #ccc;
	cursor: initial;
}

.customButtonTop {
	border-radius: 6px 6px 0px 0px;
	margin-top: 2px!important;
}
.customButtonMid {
	border-radius: 0px;
	margin-top: 2px!important;
}
.customButtonDown {
	border-radius: 0px 0px 6px 6px;
	margin-top: 2px!important;
}

/* map controls, left */
#leftToolBar {
	position: absolute;	
	left: 2px;
	top: 2px;
	z-index: 500;
}
#toggleLayers{
	display: none;
	background-image: url("img/toggleLayers.png");
}
.arrow {
	display: none;
	position: absolute;
	left: 12px;
	top: 30px;
	height: 0;
	width: 0;
	border: 8px solid transparent;
	/* opacity: 0.9; */
	z-index: 700;
}
.arrow.down {
	border-bottom-color: #fff; /* #298d29 */
}
#layersContainer {
	position: absolute;
	top: 0px;
	left: 2px;
	width: 30px;
	z-index: 600;
	border-radius: 2px;
	background-color: #fff;
	box-shadow: 0px 2px 3px 1px rgba(0, 0, 0, 0.3);
}
input[type="radio"] {
    display: none;
}
#layersContainer label{
	display: block;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	width: 28px;
	height: 28px;
	margin: 1px;
	cursor: pointer;
	user-select: none;
	-moz-user-select: none;
	background: url('img/sprites28.png') no-repeat;
}
#btnLayer1:checked+label{
	background-position: 0 0!important;
}#btnLayer1Label{
	background-position: -28px 0!important;
}
#btnLayer2:checked+label{
	background-position: 0 -28px!important;
}#btnLayer2Label{
	background-position: -28px -28px!important;
}
#btnLayer3:checked+label{
	background-position: 0 -56px!important;
}#btnLayer3Label{
	background-position: -28px -56px!important;
}
#btnLayer4:checked+label{
	background-position: 0 -84px!important;
}#btnLayer4Label{
	background-position: -28px -84px!important;
}
#btnLayer5:checked+label{
	background-position: 0 -112px!important;
}#btnLayer5Label{
	background-position: -28px -112px!important;
}
#btnLayer6:checked+label{
	background-position: 0 -140px!important;
}#btnLayer6Label{
	background-position: -28px -140px!important;
}


/* map controls, right */
#mainToolBar {
	position: absolute;	
	right: 4px;
	top: 4px;
	z-index: 500;
}
#fullExtent {
	background-image: url("img/zoomToBayern.png");
	height: 30px;
}
.LocateButton .zoomLocateButton {
	padding: 0px;
}
.LocateButton .zoomLocateButton:hover {
	background-color: #298d29;
}
#toggleBaseMap {
    background-image: url("img/changeBasemap.png");
}
#newWindow{
	background-image: url("img/goToFullScreen.png");
}

/* chart box */
#chartBox {
	display: none;
	z-index: 1000;
	margin: auto;
}
.dijitDialog{
	border-radius: 6px 6px 0 0; 
	color: #000;
	box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.4); 
	max-width: 950px;
	max-height: 500px;
}
.dijitDialogPaneContent {
	padding: 0px!important;
	overflow: auto;
}

.tundra .dijitDialogTitleBar {
	/* display: none; */
	background-image: url("img/background_header_verlauf_gruen_schwarz.png");
	background-position: left center;
	background-repeat: no-repeat;
	background-size: cover;
	border: 0px none;
	color: #ffffff;
	padding: 3px;
	font-size: 1.3em;
}

.tundra .dijitDialogUnderlay {
     background-color: #000;
}

/* chart: inside the box */
/* #chartBox{
	top: 30px;
} */
/* @media (min-width:475px){
	#chartBox{
		width: 80%;
	}	
}
@media (min-width:570px){
	#chartBox{
		width: 80%;
	}	
} */
/* @media (min-width:770px){
	.dijitDialog{
		width: 75%;
		height: 75%;
	}	
} */
#chartAll6 {
	position: relative;

}
#chartAll6>div {
	background-color: #ffffff;
	z-index: 100;
	display: none;
	font-size: 1.6em;
	font-weight: bold;
	/* margin: auto; */
}
#hrXAxisSliderContainer{
	position: relative;
	display: none;
	/* margin: 0 auto; */
}

div.inline {
	float: left;
}
#chartNoData{
	display: none;
    text-align: center;
	z-index: 101;
    font-size: 0.7em;
	color: #999;
	position: relative;
	top: 40%;
	padding: 10px;
}
#chartBtnClose{
	background-color: #298D29;
    border: none;
    color: white;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 0.8em;
    margin: 4px 2px;
    cursor: pointer;
}
#chartBtnAll6 button{
	display: none;
	/* background-color: #298D29;
    border: none;
    color: white;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1em;
    margin: 4px 2px;
    cursor: pointer; */
}
#chartBtnAll6 button:disabled {
	background-color: #ccc;
	cursor: initial;
}
#placeholderLinks{
	height: 10px;
}


/* other */
.esriAttribution {
  display: none;
}
#copyRight{
	font-size: 1em;
	right: 12px;
	bottom: 2px;
	position: absolute;
	text-align:right;
	z-index: 98;
}
.copyRightText {
	color: white; /*#338233;*/
	text-shadow:  1px  1px 1px #777,
                  1px -1px 1px #777,
                 -1px  1px 1px #777,
                 -1px -1px 1px #777;
}
#layerInfoDiv{
	position: absolute;
	bottom: 5px;
	left: 0;
    right: 0;
    width: 90%;
	margin-right: auto;
	margin-left: auto;
	padding: 2px 5px 2px 5px;
    border-radius: 4px;
	z-index: 98;
	box-shadow: 0px 0px 0.75em #777;
	background-color: rgba(245,245,245,0.7);
	text-align: center;
	font-weight: bold;
	font-size: 1em;
}
#LocateButton{
		display: none!important;
	}

div.customButtons.esri-icon-locate{
	padding-top: 6px;
}

#chartBox {
    position: absolute;
    bottom: 20px;
    left: 20px;
    width: 300px;
    background: white;
    border: 1px solid #ccc;
    padding: 10px;
    z-index: 20;
}

#chartContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#chart_div {
    width: 100%;
    height: 200px;
}

#timeSlider {
    width: 100%;
    margin-top: 10px;
}

.esri-popup__content {
    display: flex;
    flex-direction: column;
    align-items: center;
	overflow: hidden !important;
}

.esri-popup__main-container {
    width: 900px !important;
    /* height: 600px !important; */
	max-height: 600px;
}

/* .esri-popup__content {
    overflow: hidden !important;
} */

#chartDiv {
    width: 750px;
    height: 500px;
}

#control_div{
	padding-top: 200px;
}

canvas#windRoseChart{
	width: 450px !important;
	height: 450px !important;
	margin-left: 200px;
}

.esri-popup--shadow.esri-popup--is-collapsible{
	margin-right: 30px;
}

.esri-popup__pointer {
	display: none;
}

.esri-popup__main-container{
	max-height: 700px !important;
}

.esri-popup__content{
	min-height: fit-content;
}
	
@media (min-width:570px){
	#layerInfoDiv{
		width: 60%;
	}	
}
@media (min-height:400px) and (min-width:301px){/*and (min-width:406px){ /*min-width corresponding with JS-chartsize-min*/
	.tundra .dijitDialogTitleBar {
		/* display: block; */
		padding: 6px;
	}	
	.dijitDialogPaneContent{
		padding: unset;
	}
	#layerInfoDiv{
		font-size: 1.3em;
		padding: 5px 10px 5px 10px;
	}
	#hrXAxisSliderContainer{
		display: block;
	}
}
@media (min-height:300px){
	#leftToolBar {
		left: 4px;
		top: 4px;
	}
	#toggleLayers{
		display: block;
		background-image: url("img/toggleLayers.png");
	}
	.arrow {
		display: block;
	}
	#layersContainer {
		width: 46px;
		top: 46px;
		left: 4px;
		border-radius: 6px;
	}
	#layersContainer label{
		width: 40px;
		height: 40px;
		margin: 1px 3px 1px 3px;
		background: url('img/sprites40.png') no-repeat;
	}
	#btnLayer1:checked+label{
		background-position: 0 0!important;
	}#btnLayer1Label{
		margin-top: 3px!important;
		background-position: -40px 0!important;
	}
	#btnLayer2:checked+label{
		background-position: 0 -40px!important;
	}#btnLayer2Label{
		background-position: -40px -40px!important;
	}
	#btnLayer3:checked+label{
		background-position: 0 -80px!important;
	}#btnLayer3Label{
		background-position: -40px -80px!important;
	}
	#btnLayer4:checked+label{
		background-position: 0 -120px!important;
	}#btnLayer4Label{
		background-position: -40px -120px!important;
	}
	#btnLayer5:checked+label{
		background-position: 0 -160px!important;
	}#btnLayer5Label{
		background-position: -40px -160px!important;
	}
	#btnLayer6:checked+label{
		background-position: 0 -200px!important;
	}#btnLayer6Label{
		background-position: -40px -199px!important;
	}
	#LocateButton{
		display: block!important;
	}
	.customButtons,
	.LocateButton .zoomLocateButton {  /* "esri/dijit/LocateButton" */
		margin: 6px 4px 0px 4px;
	}
	#chartNoData{
		font-size: 1em;
	}
}
@media (min-height:452px) and (min-width:500px){
	#layersContainer {
		width: 70px;
	}
	#layersContainer label{
		width: 64px;
		height: 64px;
		background: url('img/sprites64.png') no-repeat;
	}
	#btnLayer1:checked+label{
		background-position: 0 0!important;
	}#btnLayer1Label{
		background-position: -64px 0!important;
	}
	#btnLayer2:checked+label{
		background-position: 0 -64px!important;
	}#btnLayer2Label{
		background-position: -64px -64px!important;
	}
	#btnLayer3:checked+label{
		background-position: 0 -128px!important;
	}#btnLayer3Label{
		background-position: -64px -128px!important;
	}
	#btnLayer4:checked+label{
		background-position: 0 -192px!important;
	}#btnLayer4Label{
		background-position: -64px -192px!important;
	}
	#btnLayer5:checked+label{
		background-position: 0 -256px!important;
	}#btnLayer5Label{
		background-position: -64px -256px!important;
	}
	#btnLayer6:checked+label{
		background-position: 0 -320px!important;
	}#btnLayer6Label{
		background-position: -64px -320px!important;
	}
	#chartNoData{
		font-size: 1.3em;
	}
}
@media only screen and (max-width: 760px){ /* smartphones */
	/*#hrXAxisSliderContainer{
		display: none;
	}*/
}
/* @media (min-width:670px){
	#chartAll6{
		float: left;
	}
	#chartBtnAll6{
		float: right;
		width: 70px;
	}
} */

.hide-station {
  display: none !important;
}

footer a {
    color: #338233;
    text-decoration: none;
}